All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ContentLocation

All Superinterfaces:
  CMetadata, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

All Known Subinterfaces:
  AnalyticContext, ArchiveEntry, ArchiveFile, COMConnection, Connection, Device, Directory, Document, Email, File, Memory, OpenClientConnection, SASCatalogEntry, SASClientConnection, Stream, TCPIPConnection, Text, TextStore

    public interface ContentLocation

extends DeployedDataPackage

The supertype for all types that provide location information.

Attributes of ContentLocation are:

Associations of ContentLocation are:

- `AssociatedContentType`
- `FileRefs`
- `Reports`
- `TSAssociatedNamespace`
- `UnitofTimes`

## Usage

To create an instance of this ContentLocation, use the `factory` create methods.
Example: create a ContentLocation with name "ContentLocation_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ContentLocation myObject = (ContentLocation) factory.createComplexMetadataObject(objectStore, "ContentLocation_Object", MetadataObjects.CONTENTLOCATION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME` Constant used for the name of the AssociatedContentType association.
`static java.lang.String` | `ASSOCIATION_FILEREFS_NAME` Constant used for the name of the FileRefs association.
`static java.lang.String` | `ASSOCIATION_REPORTS_NAME` Constant used for the name of the Reports association.
`static java.lang.String` | `ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME` Constant used for the name of the TSAssociatedNamespace association.
`static java.lang.String` | `ASSOCIATION_UNITOFTIMES_NAME` Constant used for the name of the UnitofTimes association.

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract ContentType` | `getAssociatedContentType()` Gets the `ContentType` for `AssociatedContentType`
`abstract AssociationList` | `getAssociatedContentTypes()` Gets the AssociationList of `AssociatedContentTypes`
`abstract AssociationList` | `getAssociatedContentTypes(boolean fGoToServer)` Gets the Associationlist of `AssociatedContentTypes`
`abstract AssociationList` | `getFileRefs()` Gets the Association list of `FileRefs`
`abstract AssociationList` | `getFileRefs(boolean fGoToServer)` Gets the Associationlist of `FileRefs`
`abstract AssociationList` | `getReports()` Gets the Association list of `Reports`
`abstract AssociationList` | `getReports(boolean fGoToServer)` Gets the Associationlist of `Reports`
`abstract TSNamespace` | `getTSAssociatedNamespace()` Gets the `TSNamespace` for `TSAssociatedNamespace`
`abstract AssociationList` | `getTSAssociatedNamespaces()` Gets the Association list of `TSAssociatedNamespaces`
`abstract AssociationList` | `getTSAssociatedNamespaces(boolean fGoToServer)` Gets the Associationlist of `TSAssociatedNamespaces`
`abstract AssociationList` | `getUnitofTimes()` Gets the Association list of `UnitofTimes`
`abstract AssociationList` | `getUnitofTimes(boolean fGoToServer)` Gets the Associationlist of `UnitofTimes`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `AssociatedContentType`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setAssociatedContentType(ContentType inObject)` Sets the `AssociatedContentTypes` list 0th element to be `inObject`.
`abstract void` | `setAssociatedContentTypes(AssociationList list)` Sets the `AssociatedContentTypes` list to be `list`.
`abstract void` | `setAssociatedContentTypes(AssociationList list, int state)` Sets the `AssociatedContentTypes` list to be `list`.
`abstract void` | `setFileRefs(AssociationList list)` Sets the `FileRefs` list to be `list`.
`abstract void` | `setFileRefs(AssociationList inObjects, int state)` Sets the entire FileRefs list to match the passed in AssociationList, sets the state of the FileRefs
`abstract void` | `setReports(AssociationList list)` Sets the `Reports` list to be `list`.
`abstract void` | `setReports(AssociationList inObjects, int state)` Sets the entire Reports list to match the passed in AssociationList, sets the state of the Reports
`abstract void` | `setTSAssociatedNamespace(TSNamespace inObject)` Sets the `TSAssociatedNamespaces` list 0th element to be `inObject`.
`abstract void` | `setTSAssociatedNamespaces(AssociationList list)` Sets the `TSAssociatedNamespaces` list to be `list`.
`abstract void` | `setTSAssociatedNamespaces(AssociationList list, int state)` Sets the `TSAssociatedNamespaces` list to be `list`.
`abstract void` | `setUnitofTimes(AssociationList list)` Sets the `UnitofTimes` list to be `list`.
`abstract void` | `setUnitofTimes(AssociationList inObjects, int state)` Sets the entire UnitofTimes list to match the passed in AssociationList, sets the state of the UnitofTimes

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME

    static final java.lang.String ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME

  Constant used for the name of the AssociatedContentType association.

  AssociatedContentType: A description of the content.

  See Also:
    Constant Field Values

### ASSOCIATION_FILEREFS_NAME

    static final java.lang.String ASSOCIATION_FILEREFS_NAME

  Constant used for the name of the FileRefs association.

  FileRefs: The filerefs that use this ContentLocation.

  See Also:
    Constant Field Values

### ASSOCIATION_REPORTS_NAME

    static final java.lang.String ASSOCIATION_REPORTS_NAME

  Constant used for the name of the Reports association.

  Reports: The reports that are stored or transmitted using this ContentLocation.

  See Also:
    Constant Field Values

### ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME

    static final java.lang.String ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME

  Constant used for the name of the TSAssociatedNamespace association.

  TSAssociatedNamespace: The associated table server namespace.

  See Also:
    Constant Field Values

### ASSOCIATION_UNITOFTIMES_NAME

    static final java.lang.String ASSOCIATION_UNITOFTIMES_NAME

  Constant used for the name of the UnitofTimes association.

  UnitofTimes: The UnitofTime objects associated with this content. This may represent refresh times for the content.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedContentType`

  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociatedContentTypes

    AssociationList getAssociatedContentTypes()
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the AssociationList of `AssociatedContentTypes`

  Returns:
    Returns the AssociationList of `AssociatedContentTypes` which can be of type:
    ContentType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getAssociatedContentType

    ContentType getAssociatedContentType()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the `ContentType` for `AssociatedContentType`

  Returns:
    The `ContentType` ( `null` if not set) of `AssociatedContentType`which can be of type:
    ContentType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFileRefs

    AssociationList getFileRefs()
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Association list of `FileRefs`

  Returns:
    The AssociationList of `FileRefs` which can be of type:
    SASFileRef
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getReports

    AssociationList getReports()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Association list of `Reports`

  Returns:
    The AssociationList of `Reports` which can be of type:
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTSAssociatedNamespaces

    AssociationList getTSAssociatedNamespaces()
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the Association list of `TSAssociatedNamespaces`

  Returns:
    The AssociationList of `TSAssociatedNamespaces` which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTSAssociatedNamespace

    TSNamespace getTSAssociatedNamespace()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the `TSNamespace` for `TSAssociatedNamespace`

  Returns:
    The `TSNamespace` ( `null` if not set ) of `TSAssociatedNamespace` which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUnitofTimes

    AssociationList getUnitofTimes()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Association list of `UnitofTimes`

  Returns:
    The AssociationList of `UnitofTimes` which can be of type:
    UnitofTime
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAssociatedContentTypes

    AssociationList getAssociatedContentTypes(boolean fGoToServer)
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the Associationlist of `AssociatedContentTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `AssociatedContentTypes` which can be of type:
    ContentType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFileRefs

    AssociationList getFileRefs(boolean fGoToServer)
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Associationlist of `FileRefs`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `FileRefs` which can be of type:
    SASFileRef
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getReports

    AssociationList getReports(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Reports`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Reports` which can be of type:
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTSAssociatedNamespaces

    AssociationList getTSAssociatedNamespaces(boolean fGoToServer)
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the Associationlist of `TSAssociatedNamespaces`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TSAssociatedNamespaces` which can be of type:
    TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUnitofTimes

    AssociationList getUnitofTimes(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `UnitofTimes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `UnitofTimes` which can be of type:
    UnitofTime
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setAssociatedContentTypes

    void setAssociatedContentTypes(AssociationList list)
                                   throws java.rmi.RemoteException

  Sets the `AssociatedContentTypes` list to be `list`. Object of which can be of type:
  ContentType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedContentTypes

    void setAssociatedContentTypes(AssociationList list,
                                   int state)
                                   throws java.rmi.RemoteException

  Sets the `AssociatedContentTypes` list to be `list`. Object of which can be of type:
  ContentType

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedContentType

    void setAssociatedContentType(ContentType inObject)
                                  throws java.rmi.RemoteException

  Sets the `AssociatedContentTypes` list 0th element to be `inObject`.

  Parameters:
    `inObject` - ContentType
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFileRefs

    void setFileRefs(AssociationList list)
                     throws java.rmi.RemoteException

  Sets the `FileRefs` list to be `list`. Objects of which can be of type:
  SASFileRef

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFileRefs

    void setFileRefs(AssociationList inObjects,
                     int state)
                     throws java.rmi.RemoteException

  Sets the entire FileRefs list to match the passed in AssociationList, sets the state of the FileRefs

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setReports

    void setReports(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Reports` list to be `list`. Objects of which can be of type:
  Report

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setReports

    void setReports(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire Reports list to match the passed in AssociationList, sets the state of the Reports

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSAssociatedNamespaces

    void setTSAssociatedNamespaces(AssociationList list)
                                   throws java.rmi.RemoteException

  Sets the `TSAssociatedNamespaces` list to be `list`. Objects of which can be of type:
  TSNamespace

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSAssociatedNamespaces

    void setTSAssociatedNamespaces(AssociationList list,
                                   int state)
                                   throws java.rmi.RemoteException

  Sets the `TSAssociatedNamespaces` list to be `list`. Objects of which can be of type:
  TSNamespace

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTSAssociatedNamespace

    void setTSAssociatedNamespace(TSNamespace inObject)
                                  throws java.rmi.RemoteException

  Sets the `TSAssociatedNamespaces` list 0th element to be `inObject`.

  Parameters:
    `inObject` - TSNamespace
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUnitofTimes

    void setUnitofTimes(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `UnitofTimes` list to be `list`. Objects of which can be of type:
  UnitofTime

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUnitofTimes

    void setUnitofTimes(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire UnitofTimes list to match the passed in AssociationList, sets the state of the UnitofTimes

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.